Skip to content
中文

POST /replicate/v1/predictions

Method: POSTEndpoint: /replicate/v1/predictions

https://replicate.com/stability-ai/stable-diffusion-inpainting?input=http This section contains endpoint-specific behavior, parameters, or usage notes for this API.

Request Parameters

Header Parameters

text
Content-Type
string
Required
Example:
application/json
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}

Body Parameters application/json

text
version
string
Required
input
object
Required
seed
integer
Required
image
string
Required
steps
integer
Required
prompt
string
Required
cfg_scale
integer
Required
scheduler
string
Required
sampler_name
string
Required
negative_prompt
string
Required
denoising_strength
number
Required
outpaint_direction
string
Required
overlay_original_img
boolean
Required
Example
{
"version"
:
"95b7223104132402a9ae91cc677285bc5eb997834bd2349fa486f53910fd68b3"
,
"input"
:
{
"mask"
:
"https://replicate.delivery/pbxt/HtGQBqO9MtVbPm0G0K43nsvvjBB0E0PaWOhuNRrRBBT4ttbf/mask.png"
,
"image"
:
"https://replicate.delivery/pbxt/HtGQBfA5TrqFYZBf0UL18NTqHrzt8UiSIsAkUuMHtjvFDO6p/overture-creations-5sI6fQgYIuo.png"
,
"width"
:
512
,
"height"
:
512
,
"prompt"
:
"Face of a yellow cat, high resolution, sitting on a park bench"
,
"scheduler"
:
"DPMSolverMultistep"
,
"num_outputs"
:
1
,
"guidance_scale"
:
7.5
,
"num_inference_steps"
:
25
}
}

Example Request

Shell

bash
curl --location --request POST '/replicate/v1/predictions' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "version": "95b7223104132402a9ae91cc677285bc5eb997834bd2349fa486f53910fd68b3",
    "input": {
      "mask": "https://replicate.delivery/pbxt/HtGQBqO9MtVbPm0G0K43nsvvjBB0E0PaWOhuNRrRBBT4ttbf/mask.png",
      "image": "https://replicate.delivery/pbxt/HtGQBfA5TrqFYZBf0UL18NTqHrzt8UiSIsAkUuMHtjvFDO6p/overture-creations-5sI6fQgYIuo.png",
      "width": 512,
      "height": 512,
      "prompt": "Face of a yellow cat, high resolution, sitting on a park bench",
      "scheduler": "DPMSolverMultistep",
      "num_outputs": 1,
      "guidance_scale": 7.5,
      "num_inference_steps": 25
    }
  }'

Response

🟢 200 Success

Content Type: application/json

Response Schema

text
object

Example

json
{}